#!/bin/bash

#  delete.sh, utilitaire pas-si-stupide de suppression de fichier.
#  Usage : delete nomfichier

E_MAUVAISARGS=65

if [ -z "$1" ]
then
  echo "Usage : `basename $0` nomfichier"
  exit $E_MAUVAISARGS  # Pas d'argument ? On sort.
else  
  fichier=$1           # Initialisation du nom du fichier.
fi  


[ ! -f "$fichier" ] &amp;&amp; echo "Le fichier \"$fichier\" introuvable. \
Je refuse peureusement d'effacer un fichier inexistant."
# LISTE ET, pour donner le message d'erreur si le fichier est absent.
# Notez que le message echo continue sur la seconde ligne avec un échappement.

[ ! -f "$file" ] || (rm -f $file; echo "Fichier \"$file\" supprimé.")
# LISTE OU, pour supprimer le fichier si présent.

# Notez la logique inversée ci-dessus.
# La LISTE-ET s'exécute si vrai, la LISTE-OU si faux.

exit 0
